Transfer API
This API allows you to transfer interactions to specific users or campaigns, for telephony interactions it also allows transfers to external numbers.
Transfer endpoint
- Method: PUT
- URL: https://<domain>.ucontactcloud.com/api/inbox/id/<guid>/transfer
General description
The endpoint begins to transfer an interaction to a specified destination. The possible destinations are a specific user, a specific campaign, for a telephony interaction you can transfer to an external number, and specify if the transfer will be blind or attended.
Request body
- Content-Type: application/json
- Body: A JSON object containing:
- a
destinationTypekey. The value ofdestinationTypeis either: "agent" for user transfers, "campaign" for campaign transfer or "external" for external transfer (only valid for a telephony interaction). - a
destinationkey. The value ofdestinationdepends on thedestinationType, it should be a username for user transfers, a campaign name for campaign transfers, a phone number for external transfers. - a
typekey, only required for telephony. The value oftypeis either "blind" or "attended".
- a
Body examples
Transfer a text interaction to a specific campaign:
json
{
"destinationType":"campaign",
"destination":"sales_team"
}Transfer a text interaction to a specific user:
json
{
"destinationType":"agent",
"destination":"jon_smith"
}Blind transfer a call to an external number:
json
{
"type":"blind",
"destinationType":"external",
"destination":"1-533-445"
}Attended transfer a call to a specific user:
json
{
"type":"attended",
"destinationType":"agent",
"destination":"jane_doe"
}